public class Arbeiter
{
    private String  name;
    private int     dienstAlter;
    private boolean facharbeiter;
    
    public Arbeiter(String neuName, int neuDienstAlter, boolean neuFacharbeiter)
    {
        setName(neuName);
        setFacharbeiter(neuFacharbeiter);
        setDienstAlter(neuDienstAlter);
    }
    
    public Arbeiter(String neuName, boolean neuFacharbeiter)
    {
        setName(neuName);
        setFacharbeiter(neuFacharbeiter);        
        setDienstAlter(0);
    }

    public Arbeiter(String neuName)
    {
        setName(neuName);
        setFacharbeiter(true);        
        setDienstAlter(0);
    }

    public Arbeiter()
    {
        setName("UNKN");
        setFacharbeiter(true);        
        setDienstAlter(0);
    }
    
    public String getName()
    {
        return name;
    }
    
    public int getDienstAlter()
    {
        return dienstAlter;
    }

    public boolean getFacharbeiter()
    {
        return facharbeiter;
    }
    
    public void setName(String neuName)
    {
        name = neuName;
    }
    
    public void setDienstAlter(int neuDienstAlter)
    {
        if (facharbeiter == true)
        {
            // Fachkraft: 0 .. 50
            if ((neuDienstAlter >= 0) && (neuDienstAlter <= 50))
            {
                dienstAlter = neuDienstAlter;
            }
            else
            {
                System.out.println("Fehler: bei einem Facharbeiter muss das Dienstalter zw. 0 und 50 Jahren liegen!");
                dienstAlter = 0;
            }
        }
        else
        {
            // Hilfsarbeiter: 0 .. 45
            if ((neuDienstAlter >= 0) && (neuDienstAlter <= 45))
            {
                dienstAlter = neuDienstAlter;
            }
            else
            {
                System.out.println("Fehler: bei einem Hilfsarbeiter muss das Dienstalter zw. 0 und 45 Jahren liegen!");
                dienstAlter = 0;
            }
        }
    }
    
    public void setFacharbeiter(boolean neuFacharbeiter)
    {
        facharbeiter = neuFacharbeiter;
    }
    
    public void printArbeiter()
    {
        //Thomas Griesmayer - Facharbeiter (14)
        //Fritz Müller - Hilfsarbeiter (14)
        
        if (facharbeiter == true)
        {
            System.out.println(name + " - Facharbeiter (" + dienstAlter + ")");
        }
        else
        {
            System.out.println(name + " - Hilfsarbeiter (" + dienstAlter + ")");
        }
    }
}







